Google Functions Deploy
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Google Functions Deploy action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Deploy function hello-world",
"type": "GOOGLE_FUNCTION_DEPLOY",
"trigger_time": "ON_EVERY_EXECUTION",
"integration": {
"identifier": "gcp"
},
"application_id": "hello-world",
"function_name": "hello-world-0",
"command_args": "--trigger-http",
"runtime": "nodejs12",
"local_path": "/",
"region": "europe-west3"
}'STATUS200 OK